%define         gst_majorminor	0.10

Name:           gstreamer-plugins-farsight
Version:        0.10.2
Release:        2%{?dist}
Summary:        GStreamer plug-ins for farsight protocol

Group:          Applications/Multimedia
License:        GPL
URL:            http://projects.collabora.co.uk/trac/farsight
Source0:        http://telepathy.freedesktop.org/releases/gst-plugins-farsight/gst-plugins-farsight-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gstreamer-devel > 0.10.3
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	libjingle-devel

Requires:	gstreamer-plugins-base

%description
This is a set of plugins for GStreamer that will be used by Farsight for
Audio/Video conferencing.


%prep
%setup -q -n gst-plugins-farsight-%{version}


%build
%configure --disable-static	\
	   --disable-jrtplib 	\
	   --disable-mimic 	\
	   --disable-jasper	\
	   --disable-gsm	\
	   --enable-jingle-p2p	\
   	   --with-plugins=rtpdemux,rtpjitterbuffer
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/gstreamer-%{gst_majorminor}/libgstice.so
%{_libdir}/gstreamer-%{gst_majorminor}/libgstjrtp.so
%{_libdir}/gstreamer-%{gst_majorminor}/libgstrtpdemux.so
%{_libdir}/gstreamer-%{gst_majorminor}/libgstrtpjitterbuffer.so



%changelog
* Fri Dec 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.2-2
- Rename gstreamer macro.

* Thu Sep 21 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.10.2-1
- Initial FE spec.

